com.rscja.barcode

## Class BarcodeSymbolUtility

- java.lang.Object
- - com.rscja.barcode.BarcodeSymbolUtility

-     public class BarcodeSymbolUtility
      extends java.lang.Object

  条码符号工具类

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INT_AIM_128`
    `static int` | `INT_AUSPOST`
    `static int` | `INT_AZTEC`
    `static int` | `INT_BOOKLAND`
    `static int` | `INT_BPO`
    `static int` | `INT_CANPOST`
    `static int` | `INT_CHINAPOST`
    `static int` | `INT_CODABAR`
    `static int` | `INT_CODABLOCK`
    `static int` | `INT_CODABLOCK_A`
    `static int` | `INT_CODE_16K`
    `static int` | `INT_CODE11`
    `static int` | `INT_CODE128`
    `static int` | `INT_CODE32`
    `static int` | `INT_CODE39`
    `static int` | `INT_CODE39_FULL_ASCII`
    `static int` | `INT_CODE49`
    `static int` | `INT_CODE93`
    `static int` | `INT_COUPON_CODE`
    `static int` | `INT_CUSTOM_GS1_DATAMATRIX`
    `static int` | `INT_DATAMATRIX`
    `static int` | `INT_DISCRETE_2_OF_5`
    `static int` | `INT_DUTCHPOST`
    `static int` | `INT_EAN_128`
    `static int` | `INT_EAN13`
    `static int` | `INT_EAN8`
    `static int` | `INT_GRIDMATRIX`
    `static int` | `INT_GS1_128`
    `static int` | `INT_GS1_DATA_MATRIX`
    `static int` | `INT_GS1_DataBar`
    `static int` | `INT_GS1_DataBar_Expanded`
    `static int` | `INT_GS1_DataBar_Limited`
    `static int` | `INT_GS1_QR_CODE`
    `static int` | `INT_HANXIN`
    `static int` | `INT_IATA`
    `static int` | `INT_INFOMAIL`
    `static int` | `INT_INTERLEAVED_2_OF_5`
    `static int` | `INT_ISBT_128`
    `static int` | `INT_ISSN`
    `static int` | `INT_JAPOST`
    `static int` | `INT_KOREAPOST`
    `static int` | `INT_MACRO_PDF`
    `static int` | `INT_MACRO_QR`
    `static int` | `INT_MATRIX25`
    `static int` | `INT_MAXICODE`
    `static int` | `INT_MICRO_QR`
    `static int` | `INT_MICROPDF`
    `static int` | `INT_MSI`
    `static int` | `INT_NEC_2_OF_5`
    `static int` | `INT_PDF417`
    `static int` | `INT_PLANET`
    `static int` | `INT_POSTAL_4I`
    `static int` | `INT_QR`
    `static int` | `INT_TELEPEN`
    `static int` | `INT_TLCODE39`
    `static int` | `INT_TRIOPTIC`
    `static int` | `INT_UPC_D`
    `static int` | `INT_UPC_E1`
    `static int` | `INT_UPCA`
    `static int` | `INT_UPCE0`
    `static int` | `INT_US_POSTALS1`
    `static int` | `INT_USPS4CB`
    `static java.lang.String` | `STR_AIM_128`
    `static java.lang.String` | `STR_AUSPOST`
    `static java.lang.String` | `STR_AZTEC`
    `static java.lang.String` | `STR_BOOKLAND`
    `static java.lang.String` | `STR_BPO`
    `static java.lang.String` | `STR_CANPOST`
    `static java.lang.String` | `STR_CHINAPOST`
    `static java.lang.String` | `STR_CODABAR`
    `static java.lang.String` | `STR_CODABLOCK`
    `static java.lang.String` | `STR_CODABLOCK_A`
    `static java.lang.String` | `STR_CODE_16K`
    `static java.lang.String` | `STR_CODE11`
    `static java.lang.String` | `STR_CODE128`
    `static java.lang.String` | `STR_CODE32`
    `static java.lang.String` | `STR_CODE39`
    `static java.lang.String` | `STR_CODE39_FULL_ASCII`
    `static java.lang.String` | `STR_CODE49`
    `static java.lang.String` | `STR_CODE93`
    `static java.lang.String` | `STR_COUPON_CODE`
    `static java.lang.String` | `STR_CUSTOM_GS1_DATAMATRIX`
    `static java.lang.String` | `STR_DATAMATRIX`
    `static java.lang.String` | `STR_DISCRETE_2_OF_5`
    `static java.lang.String` | `STR_DUTCHPOST`
    `static java.lang.String` | `STR_EAN_128`
    `static java.lang.String` | `STR_EAN13`
    `static java.lang.String` | `STR_EAN8`
    `static java.lang.String` | `STR_GRIDMATRIX`
    `static java.lang.String` | `STR_GS1_128`
    `static java.lang.String` | `STR_GS1_DATA_MATRIX`
    `static java.lang.String` | `STR_GS1_DataBar`
    `static java.lang.String` | `STR_GS1_DataBar_Expanded`
    `static java.lang.String` | `STR_GS1_DataBar_Limited`
    `static java.lang.String` | `STR_GS1_QR`
    `static java.lang.String` | `STR_HANXIN`
    `static java.lang.String` | `STR_IATA`
    `static java.lang.String` | `STR_INFOMAIL`
    `static java.lang.String` | `STR_INTERLEAVED_2_OF_5`
    `static java.lang.String` | `STR_ISBT_128`
    `static java.lang.String` | `STR_ISSN`
    `static java.lang.String` | `STR_JAPOST`
    `static java.lang.String` | `STR_KOREAPOST`
    `static java.lang.String` | `STR_MACRO_PDF`
    `static java.lang.String` | `STR_MACRO_QR`
    `static java.lang.String` | `STR_MATRIX25`
    `static java.lang.String` | `STR_MAXICODE`
    `static java.lang.String` | `STR_MICRO_QR`
    `static java.lang.String` | `STR_MICROPDF`
    `static java.lang.String` | `STR_MSI`
    `static java.lang.String` | `STR_NEC_2_OF_5`
    `static java.lang.String` | `STR_PDF417`
    `static java.lang.String` | `STR_PLANET`
    `static java.lang.String` | `STR_POSTAL_4I`
    `static java.lang.String` | `STR_QR`
    `static java.lang.String` | `STR_TELEPEN`
    `static java.lang.String` | `STR_TLCODE39`
    `static java.lang.String` | `STR_TRIOPTIC`
    `static java.lang.String` | `STR_UPC_D`
    `static java.lang.String` | `STR_UPC_E1`
    `static java.lang.String` | `STR_UPCA`
    `static java.lang.String` | `STR_UPCE0`
    `static java.lang.String` | `STR_US_POSTALS1`
    `static java.lang.String` | `STR_USPS4CB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBarcodeName(int symbol)` 获取条码名称(get barcode name)
    `static BarcodeSymbolUtility` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STR_AZTEC

          public static final java.lang.String STR_AZTEC

      See Also:
        Constant Field Values

    - #### STR_CODABAR

          public static final java.lang.String STR_CODABAR

      See Also:
        Constant Field Values

    - #### STR_CODE11

          public static final java.lang.String STR_CODE11

      See Also:
        Constant Field Values

    - #### STR_CODE128

          public static final java.lang.String STR_CODE128

      See Also:
        Constant Field Values

    - #### STR_CODE39

          public static final java.lang.String STR_CODE39

      See Also:
        Constant Field Values

    - #### STR_CODE93

          public static final java.lang.String STR_CODE93

      See Also:
        Constant Field Values

    - #### STR_EAN8

          public static final java.lang.String STR_EAN8

      See Also:
        Constant Field Values

    - #### STR_EAN13

          public static final java.lang.String STR_EAN13

      See Also:
        Constant Field Values

    - #### STR_MAXICODE

          public static final java.lang.String STR_MAXICODE

      See Also:
        Constant Field Values

    - #### STR_MICROPDF

          public static final java.lang.String STR_MICROPDF

      See Also:
        Constant Field Values

    - #### STR_PDF417

          public static final java.lang.String STR_PDF417

      See Also:
        Constant Field Values

    - #### STR_UPCA

          public static final java.lang.String STR_UPCA

      See Also:
        Constant Field Values

    - #### STR_UPCE0

          public static final java.lang.String STR_UPCE0

      See Also:
        Constant Field Values

    - #### STR_BPO

          public static final java.lang.String STR_BPO

      See Also:
        Constant Field Values

    - #### STR_CANPOST

          public static final java.lang.String STR_CANPOST

      See Also:
        Constant Field Values

    - #### STR_AUSPOST

          public static final java.lang.String STR_AUSPOST

      See Also:
        Constant Field Values

    - #### STR_IATA

          public static final java.lang.String STR_IATA

      See Also:
        Constant Field Values

    - #### STR_CODABLOCK

          public static final java.lang.String STR_CODABLOCK

      See Also:
        Constant Field Values

    - #### STR_JAPOST

          public static final java.lang.String STR_JAPOST

      See Also:
        Constant Field Values

    - #### STR_PLANET

          public static final java.lang.String STR_PLANET

      See Also:
        Constant Field Values

    - #### STR_DUTCHPOST

          public static final java.lang.String STR_DUTCHPOST

      See Also:
        Constant Field Values

    - #### STR_TELEPEN

          public static final java.lang.String STR_TELEPEN

      See Also:
        Constant Field Values

    - #### STR_MSI

          public static final java.lang.String STR_MSI

      See Also:
        Constant Field Values

    - #### STR_TLCODE39

          public static final java.lang.String STR_TLCODE39

      See Also:
        Constant Field Values

    - #### STR_QR

          public static final java.lang.String STR_QR

      See Also:
        Constant Field Values

    - #### STR_MICRO_QR

          public static final java.lang.String STR_MICRO_QR

      See Also:
        Constant Field Values

    - #### STR_KOREAPOST

          public static final java.lang.String STR_KOREAPOST

      See Also:
        Constant Field Values

    - #### STR_CHINAPOST

          public static final java.lang.String STR_CHINAPOST

      See Also:
        Constant Field Values

    - #### STR_MATRIX25

          public static final java.lang.String STR_MATRIX25

      See Also:
        Constant Field Values

    - #### STR_CODE32

          public static final java.lang.String STR_CODE32

      See Also:
        Constant Field Values

    - #### STR_GRIDMATRIX

          public static final java.lang.String STR_GRIDMATRIX

      See Also:
        Constant Field Values

    - #### STR_HANXIN

          public static final java.lang.String STR_HANXIN

      See Also:
        Constant Field Values

    - #### STR_GS1_128

          public static final java.lang.String STR_GS1_128

      See Also:
        Constant Field Values

    - #### STR_USPS4CB

          public static final java.lang.String STR_USPS4CB

      See Also:
        Constant Field Values

    - #### STR_US_POSTALS1

          public static final java.lang.String STR_US_POSTALS1

      See Also:
        Constant Field Values

    - #### STR_POSTAL_4I

          public static final java.lang.String STR_POSTAL_4I

      See Also:
        Constant Field Values

    - #### STR_CODABLOCK_A

          public static final java.lang.String STR_CODABLOCK_A

      See Also:
        Constant Field Values

    - #### STR_CODE49

          public static final java.lang.String STR_CODE49

      See Also:
        Constant Field Values

    - #### STR_INFOMAIL

          public static final java.lang.String STR_INFOMAIL

      See Also:
        Constant Field Values

    - #### STR_GS1_DataBar

          public static final java.lang.String STR_GS1_DataBar

      See Also:
        Constant Field Values

    - #### STR_GS1_DataBar_Limited

          public static final java.lang.String STR_GS1_DataBar_Limited

      See Also:
        Constant Field Values

    - #### STR_GS1_DataBar_Expanded

          public static final java.lang.String STR_GS1_DataBar_Expanded

      See Also:
        Constant Field Values

    - #### STR_NEC_2_OF_5

          public static final java.lang.String STR_NEC_2_OF_5

      See Also:
        Constant Field Values

    - #### STR_DATAMATRIX

          public static final java.lang.String STR_DATAMATRIX

      See Also:
        Constant Field Values

    - #### STR_DISCRETE_2_OF_5

          public static final java.lang.String STR_DISCRETE_2_OF_5

      See Also:
        Constant Field Values

    - #### STR_INTERLEAVED_2_OF_5

          public static final java.lang.String STR_INTERLEAVED_2_OF_5

      See Also:
        Constant Field Values

    - #### STR_EAN_128

          public static final java.lang.String STR_EAN_128

      See Also:
        Constant Field Values

    - #### STR_UPC_E1

          public static final java.lang.String STR_UPC_E1

      See Also:
        Constant Field Values

    - #### STR_CODE_16K

          public static final java.lang.String STR_CODE_16K

      See Also:
        Constant Field Values

    - #### STR_UPC_D

          public static final java.lang.String STR_UPC_D

      See Also:
        Constant Field Values

    - #### STR_TRIOPTIC

          public static final java.lang.String STR_TRIOPTIC

      See Also:
        Constant Field Values

    - #### STR_AIM_128

          public static final java.lang.String STR_AIM_128

      See Also:
        Constant Field Values

    - #### STR_CUSTOM_GS1_DATAMATRIX

          public static final java.lang.String STR_CUSTOM_GS1_DATAMATRIX

      See Also:
        Constant Field Values

    - #### STR_CODE39_FULL_ASCII

          public static final java.lang.String STR_CODE39_FULL_ASCII

      See Also:
        Constant Field Values

    - #### STR_BOOKLAND

          public static final java.lang.String STR_BOOKLAND

      See Also:
        Constant Field Values

    - #### STR_ISBT_128

          public static final java.lang.String STR_ISBT_128

      See Also:
        Constant Field Values

    - #### STR_COUPON_CODE

          public static final java.lang.String STR_COUPON_CODE

      See Also:
        Constant Field Values

    - #### STR_MACRO_PDF

          public static final java.lang.String STR_MACRO_PDF

      See Also:
        Constant Field Values

    - #### STR_MACRO_QR

          public static final java.lang.String STR_MACRO_QR

      See Also:
        Constant Field Values

    - #### STR_ISSN

          public static final java.lang.String STR_ISSN

      See Also:
        Constant Field Values

    - #### STR_GS1_DATA_MATRIX

          public static final java.lang.String STR_GS1_DATA_MATRIX

      See Also:
        Constant Field Values

    - #### STR_GS1_QR

          public static final java.lang.String STR_GS1_QR

      See Also:
        Constant Field Values

    - #### INT_AZTEC

          public static final int INT_AZTEC

      See Also:
        Constant Field Values

    - #### INT_CODABAR

          public static final int INT_CODABAR

      See Also:
        Constant Field Values

    - #### INT_CODE11

          public static final int INT_CODE11

      See Also:
        Constant Field Values

    - #### INT_CODE128

          public static final int INT_CODE128

      See Also:
        Constant Field Values

    - #### INT_CODE39

          public static final int INT_CODE39

      See Also:
        Constant Field Values

    - #### INT_CODE93

          public static final int INT_CODE93

      See Also:
        Constant Field Values

    - #### INT_EAN8

          public static final int INT_EAN8

      See Also:
        Constant Field Values

    - #### INT_EAN13

          public static final int INT_EAN13

      See Also:
        Constant Field Values

    - #### INT_MAXICODE

          public static final int INT_MAXICODE

      See Also:
        Constant Field Values

    - #### INT_MICROPDF

          public static final int INT_MICROPDF

      See Also:
        Constant Field Values

    - #### INT_PDF417

          public static final int INT_PDF417

      See Also:
        Constant Field Values

    - #### INT_UPCA

          public static final int INT_UPCA

      See Also:
        Constant Field Values

    - #### INT_UPCE0

          public static final int INT_UPCE0

      See Also:
        Constant Field Values

    - #### INT_BPO

          public static final int INT_BPO

      See Also:
        Constant Field Values

    - #### INT_CANPOST

          public static final int INT_CANPOST

      See Also:
        Constant Field Values

    - #### INT_AUSPOST

          public static final int INT_AUSPOST

      See Also:
        Constant Field Values

    - #### INT_IATA

          public static final int INT_IATA

      See Also:
        Constant Field Values

    - #### INT_CODABLOCK

          public static final int INT_CODABLOCK

      See Also:
        Constant Field Values

    - #### INT_JAPOST

          public static final int INT_JAPOST

      See Also:
        Constant Field Values

    - #### INT_PLANET

          public static final int INT_PLANET

      See Also:
        Constant Field Values

    - #### INT_DUTCHPOST

          public static final int INT_DUTCHPOST

      See Also:
        Constant Field Values

    - #### INT_TELEPEN

          public static final int INT_TELEPEN

      See Also:
        Constant Field Values

    - #### INT_MSI

          public static final int INT_MSI

      See Also:
        Constant Field Values

    - #### INT_TLCODE39

          public static final int INT_TLCODE39

      See Also:
        Constant Field Values

    - #### INT_QR

          public static final int INT_QR

      See Also:
        Constant Field Values

    - #### INT_KOREAPOST

          public static final int INT_KOREAPOST

      See Also:
        Constant Field Values

    - #### INT_MATRIX25

          public static final int INT_MATRIX25

      See Also:
        Constant Field Values

    - #### INT_CODE32

          public static final int INT_CODE32

      See Also:
        Constant Field Values

    - #### INT_GRIDMATRIX

          public static final int INT_GRIDMATRIX

      See Also:
        Constant Field Values

    - #### INT_HANXIN

          public static final int INT_HANXIN

      See Also:
        Constant Field Values

    - #### INT_GS1_128

          public static final int INT_GS1_128

      See Also:
        Constant Field Values

    - #### INT_USPS4CB

          public static final int INT_USPS4CB

      See Also:
        Constant Field Values

    - #### INT_US_POSTALS1

          public static final int INT_US_POSTALS1

      See Also:
        Constant Field Values

    - #### INT_POSTAL_4I

          public static final int INT_POSTAL_4I

      See Also:
        Constant Field Values

    - #### INT_CODABLOCK_A

          public static final int INT_CODABLOCK_A

      See Also:
        Constant Field Values

    - #### INT_CODE49

          public static final int INT_CODE49

      See Also:
        Constant Field Values

    - #### INT_INFOMAIL

          public static final int INT_INFOMAIL

      See Also:
        Constant Field Values

    - #### INT_GS1_DataBar

          public static final int INT_GS1_DataBar

      See Also:
        Constant Field Values

    - #### INT_GS1_DataBar_Limited

          public static final int INT_GS1_DataBar_Limited

      See Also:
        Constant Field Values

    - #### INT_GS1_DataBar_Expanded

          public static final int INT_GS1_DataBar_Expanded

      See Also:
        Constant Field Values

    - #### INT_NEC_2_OF_5

          public static final int INT_NEC_2_OF_5

      See Also:
        Constant Field Values

    - #### INT_CHINAPOST

          public static final int INT_CHINAPOST

      See Also:
        Constant Field Values

    - #### INT_DATAMATRIX

          public static final int INT_DATAMATRIX

      See Also:
        Constant Field Values

    - #### INT_DISCRETE_2_OF_5

          public static final int INT_DISCRETE_2_OF_5

      See Also:
        Constant Field Values

    - #### INT_INTERLEAVED_2_OF_5

          public static final int INT_INTERLEAVED_2_OF_5

      See Also:
        Constant Field Values

    - #### INT_EAN_128

          public static final int INT_EAN_128

      See Also:
        Constant Field Values

    - #### INT_UPC_E1

          public static final int INT_UPC_E1

      See Also:
        Constant Field Values

    - #### INT_CODE_16K

          public static final int INT_CODE_16K

      See Also:
        Constant Field Values

    - #### INT_UPC_D

          public static final int INT_UPC_D

      See Also:
        Constant Field Values

    - #### INT_TRIOPTIC

          public static final int INT_TRIOPTIC

      See Also:
        Constant Field Values

    - #### INT_MICRO_QR

          public static final int INT_MICRO_QR

      See Also:
        Constant Field Values

    - #### INT_AIM_128

          public static final int INT_AIM_128

      See Also:
        Constant Field Values

    - #### INT_BOOKLAND

          public static final int INT_BOOKLAND

      See Also:
        Constant Field Values

    - #### INT_ISBT_128

          public static final int INT_ISBT_128

      See Also:
        Constant Field Values

    - #### INT_COUPON_CODE

          public static final int INT_COUPON_CODE

      See Also:
        Constant Field Values

    - #### INT_MACRO_PDF

          public static final int INT_MACRO_PDF

      See Also:
        Constant Field Values

    - #### INT_MACRO_QR

          public static final int INT_MACRO_QR

      See Also:
        Constant Field Values

    - #### INT_ISSN

          public static final int INT_ISSN

      See Also:
        Constant Field Values

    - #### INT_CODE39_FULL_ASCII

          public static final int INT_CODE39_FULL_ASCII

      See Also:
        Constant Field Values

    - #### INT_GS1_DATA_MATRIX

          public static final int INT_GS1_DATA_MATRIX

      See Also:
        Constant Field Values

    - #### INT_GS1_QR_CODE

          public static final int INT_GS1_QR_CODE

      See Also:
        Constant Field Values

    - #### INT_CUSTOM_GS1_DATAMATRIX

          public static final int INT_CUSTOM_GS1_DATAMATRIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static BarcodeSymbolUtility getInstance()

    - #### getBarcodeName

          public java.lang.String getBarcodeName(int symbol)

      获取条码名称(get barcode name)
      Parameters:
        `symbol` - 条码符号(barcode symbol)
      Returns:
        条码名称(barcode name)